Subject: bug#58447: [PATCH] In project-find-file, add absolute file name to history

From: Juri Linkov <[email-masked]>
Date: Sat, 29 Oct 2022 20:45:27 +0300

>> But please note that the same problem exists in both ways:
>> when trying to revisit an absolute file names previously visited
>> by 'C-x C-f', then 'C-x p f' fails on absolute file names.
>
> Does Augusto's patch from the first message make things better for you?

Augusto's patch makes things better, but fails to read absolute file names.
To fix this, project--read-file-cpd-relative also need to accept absolute
file names.